View Issue Details

IDProjectCategoryView StatusLast Update
0034780LazarusIDEpublic2019-01-23 10:02
ReporterCyraxAssigned ToJoost van der Sluis 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux x86_64OSArchOS Version3.17.4-1
Product Version2.1 (SVN)Product Buildr59940 
Target VersionFixed in Version2.2 
Summary0034780: Message dialog pops up and says : "The following packages failed to load:"
Description
The following packages failed to load:

chm
fcl-image
fcl-process
fcl-db


Reverting Lazarus trunk to r59921 makes the message dialog away.
TagsNo tags attached.
Fixed in Revision59958
LazTarget2.2
WidgetsetGTK, GTK 2, GTK 3, Win32/Win64, WinCE, Carbon, Cocoa, QT, QT5, fpGUI, CustomDrawn
Attached Files

Relationships

related to 0034784 closedMattias Gaertner Build lazarus IDE fail with installed packages. 

Activities

Cyrax

2018-12-30 04:29

reporter   ~0113002

Last edited: 2018-12-30 04:30

View 2 revisions

Starting from r59932 this message window appears.

Cyrax

2018-12-30 04:36

reporter   ~0113003

Reverting r59940,r59939,r59938,r59937,r59934 and r59933 will make this message window away.

Andrey Zubarev

2018-12-30 08:28

reporter   ~0113006

–°onfirm.
I see:

>>The following packages failed to load:
>>chm
>>fcl-image

win32, trunk lazarus, trunk fpc

Bart Broersma

2018-12-30 13:57

developer   ~0113009

r59932: LazDebuggerLldb: change "open array" params to "const".
You both have LazDebuggerLldb installed?

Bart Broersma

2018-12-30 14:21

developer   ~0113012

> Starting from r59932 this message window appears.
This statement is incompatible with:
> Reverting r59940,r59939,r59938,r59937,r59934 and r59933 will make this message window away.

I guess the error starts with r59933?

Cyrax

2018-12-30 14:37

reporter   ~0113013

Yes, my mistake. It starts with r59933.

Joost van der Sluis

2018-12-30 17:26

manager   ~0113017

Best solution would be to configure FPC properly. You could try to use 'fppkg list' on a command-line. This will try to fix the configuration.

I'll see how I can handle invalid configurations better.

Joost van der Sluis

2018-12-31 14:34

manager   ~0113043

If fppkg is not configured properly, it assumes that all of fpc's packages are there.

I'll have to add a separate check in startup to notice the user that fppkg is not configured properly, and a way to fix that.

Cyrax

2019-01-23 10:02

reporter   ~0113594

Thanks for the fix!

Issue History

Date Modified Username Field Change
2018-12-30 04:04 Cyrax New Issue
2018-12-30 04:29 Cyrax Note Added: 0113002
2018-12-30 04:30 Cyrax Note Edited: 0113002 View Revisions
2018-12-30 04:36 Cyrax Note Added: 0113003
2018-12-30 08:28 Andrey Zubarev Note Added: 0113006
2018-12-30 13:57 Bart Broersma Note Added: 0113009
2018-12-30 14:21 Bart Broersma Note Added: 0113012
2018-12-30 14:22 Bart Broersma LazTarget => -
2018-12-30 14:22 Bart Broersma Status new => feedback
2018-12-30 14:37 Cyrax Note Added: 0113013
2018-12-30 14:37 Cyrax Status feedback => new
2018-12-30 14:47 Bart Broersma Assigned To => Joost van der Sluis
2018-12-30 14:47 Bart Broersma Status new => assigned
2018-12-30 17:26 Joost van der Sluis Note Added: 0113017
2018-12-31 08:34 Juha Manninen Relationship added related to 0034784
2018-12-31 14:34 Joost van der Sluis Fixed in Revision => 59958
2018-12-31 14:34 Joost van der Sluis LazTarget - => 2.2
2018-12-31 14:34 Joost van der Sluis Widgetset GTK 2 => GTK, GTK 2, GTK 3, Win32/Win64, WinCE, Carbon, Cocoa, QT, QT5, fpGUI, CustomDrawn
2018-12-31 14:34 Joost van der Sluis Note Added: 0113043
2018-12-31 14:34 Joost van der Sluis Status assigned => resolved
2018-12-31 14:34 Joost van der Sluis Fixed in Version => 2.2
2018-12-31 14:34 Joost van der Sluis Resolution open => fixed
2019-01-23 10:02 Cyrax Note Added: 0113594
2019-01-23 10:02 Cyrax Status resolved => closed